import 'package:flutter/material.dart';
import 'package:login_screen/bottomnavigationbar/page1.dart';
import 'package:login_screen/bottomnavigationbar/page2.dart';
import 'package:login_screen/bottomnavigationbar/page3.dart';
import 'package:login_screen/bottomnavigationbar/page4.dart';
import 'package:login_screen/bottomnavigationbar/page5.dart';

class NavBar3 extends StatefulWidget {
  const NavBar3({Key? key}) : super(key: key);

  @override
  State<NavBar3> createState() => _NavBar3State();
}

class _NavBar3State extends State<NavBar3> {
  int _selectedIndex = 0;
  List pages = [
    const Page1(),
    const Page2(),
    const Page3(),
    const Page4(),
    const Page5(),
  ];
  List labes=[
    'Home',
    'Search',
    'Message',
    'Cart',
    'Profile'
  ];
  List icon=[
    Icons.home,
    Icons.search,
    Icons.message,
    Icons.shopping_cart,
    Icons.person
  ];
  void onTapNav(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }

  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    const myColor=Colors.deepOrange;
    return Scaffold(
      body: pages[_selectedIndex],
      bottomNavigationBar: Container(

        width: screenSize.width,
        height: 70,
        decoration: BoxDecoration(
          color: Colors.white,
          boxShadow: [BoxShadow(
            color: Colors.grey,
            spreadRadius: 5,blurRadius: 5
          )]
        ),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceAround, // Distribute items evenly
          children: List.generate(
            labes.length,
                (index) {
              return GestureDetector(
                onTap: (){onTapNav(index);},
                child: AnimatedContainer(
                  margin: EdgeInsets.symmetric(vertical: 5),
                  height:_selectedIndex==index?70:60 ,
                  decoration: BoxDecoration(
                      color: _selectedIndex==index?myColor.shade800:Colors.transparent,
                      borderRadius:BorderRadius.circular(25),
                  ),
                  width: _selectedIndex==index?screenSize.width*.33:60,
                  duration: Duration(milliseconds: 300),
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Icon(icon[index],
                        color: _selectedIndex==index?Colors.white:myColor,
                        size: _selectedIndex==index?35:35,
                      ),
                      Text('${labes[index]}',style: TextStyle(color: _selectedIndex==index?Colors.white:myColor,),)// Add spacing between icon and text

                    ],
                  ),
                ),
              );
            },
          ),
        ),
      ),
    );
  }


}
